import { ref, onMounted } from 'vue';
import { chatApi } from '@/api/chat';

export const useRecommend = ({ type }) => {

  const recommendList = ref([]);

  onMounted(async () => {
    const { data } = await chatApi.getWelcomeRecommend(type);
    recommendList.value = data;
  })

  return {
    recommendList
  }
}